# cgmtypes.h File Reference

`#include "cgmmach.h"`

## Data Structures

struct | colour
struct | vdc
struct | colourentry
struct | point
struct | rect
struct | Rect

## Defines

#define | TRUE ((Logical) 1)
#define | FALSE ((Logical) 0)

## Typedefs

typedef short | Logical
typedef long | Index
typedef unsigned short | Enum
typedef Int16 | Code
typedef long | Prec
typedef unsigned long | Posint
typedef float | Ptype
typedef double | Mtype
typedef colour | Colour
typedef Index | Indexcolour
typedef vdc | Vdc
typedef colourentry | Colourentry
typedef double | Tmatrix [3][2]
typedef point | Cpoint

## Define Documentation

#define FALSE ((Logical) 0)

#define TRUE ((Logical) 1)

## Typedef Documentation

typedef Int16 Code

typedef struct colour Colour

typedef struct colourentry Colourentry

typedef struct point Cpoint

typedef unsigned short Enum

typedef long Index

typedef Index Indexcolour

typedef short Logical

typedef double Mtype

typedef unsigned long Posint

typedef long Prec

typedef float Ptype

typedef double Tmatrix[3][2]

typedef struct vdc Vdc